#include <R.h>

void sum2(double* mtrx, int* m, int* n, double* res)
{
    *res = 0;

    for(int i=0; i < *n; i++)
    {
        for(int j=0; j < *m; j++) {
            *res += mtrx[j * (*n) + i];
        }
    }
}
